Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QProcess

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QProcess class reference

### Public Functions

- QProcess ( QObject * parent, const char * name ) `(obsolete)`
- QProcess ( const QString & arg0, QObject * parent, const char * name ) `(obsolete)`
- QProcess ( const QStringList & args, QObject * parent, const char * name ) `(obsolete)`

## Member Function Documentation

### QProcess::QProcess ( QObject * parent, const char * name )

Constructs a QProcess object. The parent and name parameters are passed to the QObject constructor.

See also setArguments(), addArgument(), and start().

### QProcess::QProcess ( const QString & arg0, QObject * parent, const char * name )

Constructs a QProcess with arg0 as the command to be executed. The parent and name parameters are passed to the QObject constructor.

The process is not started. You must call start() or launch() to start the process.

See also setArguments(), addArgument(), and start().

### QProcess::QProcess ( const QStringList & args, QObject * parent, const char * name )

Constructs a QProcess with args as the arguments of the process. The first element in the list is the command to be executed. The other elements in the list are the arguments to this command. The parent and name parameters are passed to the QObject constructor.

The process is not started. You must call start() or launch() to start the process.

See also setArguments(), addArgument(), and start().